<div class="feature">
    <div *ngIf="expand; else noExpand">
        <button mat-icon-button (click)="expand = false">
            <mat-icon>expand_more</mat-icon>
        </button>
    </div>
    <ng-template #noExpand>
        <button mat-icon-button (click)="expand = true">
            <mat-icon>chevron_right</mat-icon>
        </button>
    </ng-template>
    <div class="section-content">
        <div class="header">
            <div class="feature-name">{{ feature.identifier }}</div>
            <div class="feature-description">{{ feature.description }}</div>
        </div>
        <ng-container *ngIf="expand">
            <table>
              <tr>
                <td class="feature_info_title"><div class="section-title">Originator:</div></td>
                <td class="feature_info_text"><div class="feature-description"> {{ feature.originator }}</div></td>
              </tr>
              <tr>
                <td class="feature_info_title"><div class="section-title">Category:</div></td>
                <td class="feature_info_text"><div class="feature-description"> {{ feature.category }}</div></td>
              </tr>
              <tr>
                <td class="feature_info_title"><div class="section-title">Version:</div></td>
                <td class="feature_info_text"><div class="feature-description"> {{ feature.feature_version }}</div></td>
              </tr>
              <tr>
                <td class="feature_info_title"><div class="section-title">Locale:</div></td>
                <td class="feature_info_text">{{ feature.locale }}</td>
              </tr>
              <tr>
                <td class="feature_info_title"><div class="section-title">SiLA 2 Version:</div></td>
                <td class="feature_info_text"><div> {{ feature.sila2_version }}</div></td>
              </tr>
            </table>
            <div class="section-title">Commands</div>
            <div class="section-content">
                <div
                    class="list-entry"
                    *ngFor="let command of feature.commands"
                >
                    <app-service-command
                        [serviceUUID]="serviceUUID"
                        [featureIdentifier]="feature.identifier"
                        [featureOriginator]="feature.originator"
                        [featureCategory]="feature.category"
                        [command]="command"
                    ></app-service-command>
                </div>
            </div>
            <div class="section-title">Properties</div>
            <div class="section-content">
                <div
                    class="list-entry"
                    *ngFor="let property of feature.properties"
                >
                    <app-service-property
                        [serviceUUID]="serviceUUID"
                        [featureIdentifier]="feature.identifier"
                        [featureOriginator]="feature.originator"
                        [featureCategory]="feature.category"
                        [property]="property"
                    ></app-service-property>
                </div>
            </div>
        </ng-container>
    </div>
</div>
